Skip to main content
`Ctrl`+`K`

# TSComputeIJacobianP

Runs the user-defined IJacobianP function.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSComputeIJacobianP(TS ts, PetscReal t, Vec U, Vec Udot, PetscReal shift, Mat Amat, PetscBool imex)

Collective

## Input Parameters

- ts - the `TS` context

- t - current timestep

- U - state vector

- Udot - time derivative of state vector

- shift - shift to apply, see note below

- imex - flag indicates if the method is IMEX so that the RHSJacobianP should be kept separate

## Output Parameter

- Amat - Jacobian matrix

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetIJacobianP()`

## Level

developer

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages